Package com.complexible.stardog.security

# Class NamedGraphPermissions

java.lang.Object
com.complexible.stardog.security.NamedGraphPermissions

public final class NamedGraphPermissions extends Object

Utility for granting and revoking named graph permissions

Since:
  3.1
Version:
  6.0
Author:
  Michael Grove

- ## Method Summary

  Modifier and Type
  Method
  Description
  `NamedGraphPermissions`
  `grantRole(String theSubj)`
  `NamedGraphPermissions`
  `grantUser(String theSubj)`
  `static NamedGraphPermissions`
  `on(PermissionManager theAdminConnection, String theDb)`
  `NamedGraphPermissions`
  `read(IRI theURI, IRI... theOtherURIS)`
  `NamedGraphPermissions`
  `revokeRole(String theSubj)`
  `NamedGraphPermissions`
  `revokeUser(String theSubj)`
  `NamedGraphPermissions`
  `rw(IRI theURI, IRI... theOtherURIs)`
  `NamedGraphPermissions`
  `write(IRI theURI, IRI... theOtherURIs)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### on

    public static NamedGraphPermissions on(PermissionManager theAdminConnection, String theDb)

  - ### read

    public NamedGraphPermissions read(IRI theURI, IRI... theOtherURIS)

  - ### write

    public NamedGraphPermissions write(IRI theURI, IRI... theOtherURIs)

  - ### rw

    public NamedGraphPermissions rw(IRI theURI, IRI... theOtherURIs)

  - ### grantUser

    public NamedGraphPermissions grantUser(String theSubj) throws com.complexible.stardog.security.StardogSecurityException
    Throws:
      `com.complexible.stardog.security.StardogSecurityException`

  - ### grantRole

    public NamedGraphPermissions grantRole(String theSubj) throws com.complexible.stardog.security.StardogSecurityException
    Throws:
      `com.complexible.stardog.security.StardogSecurityException`

  - ### revokeUser

    public NamedGraphPermissions revokeUser(String theSubj) throws com.complexible.stardog.security.StardogSecurityException
    Throws:
      `com.complexible.stardog.security.StardogSecurityException`

  - ### revokeRole

    public NamedGraphPermissions revokeRole(String theSubj) throws com.complexible.stardog.security.StardogSecurityException
    Throws:
      `com.complexible.stardog.security.StardogSecurityException`